Main Page | Modules | Namespace List | Class Hierarchy | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# BasicDataStructures::LinkedList< LinkedListType > Class Template Reference

`#include <LinkedList.h>`

Inheritance diagram for BasicDataStructures::LinkedList< LinkedListType >:

List of all members.

## Public Member Functions
| LinkedList ()
| LinkedList (const LinkedList &original_copy)
| ~LinkedList ()
bool | operator= (const LinkedList< LinkedListType > &original_copy)
LinkedList & | operator++ ()
LinkedList & | operator++ (int)
LinkedList & | operator-- ()
LinkedList & | operator-- (int)
## Private Member Functions
LinkedList | merge (LinkedList L1, LinkedList L2)
LinkedList | mergesort (const LinkedList &L)

### template<class LinkedListType>
class BasicDataStructures::LinkedList< LinkedListType >

## Constructor & Destructor Documentation

template<class LinkedListType>
BasicDataStructures::LinkedList< LinkedListType >::LinkedList | ( |  | ) | `[inline]`

template<class LinkedListType>
BasicDataStructures::LinkedList< LinkedListType >::LinkedList | ( | const LinkedList< LinkedListType > & | original_copy | ) |

template<class LinkedListType>
BasicDataStructures::LinkedList< LinkedListType >::~LinkedList | ( |  | ) |

## Member Function Documentation

template<class LinkedListType>
LinkedList< LinkedListType > BasicDataStructures::LinkedList< LinkedListType >::merge | ( | LinkedList< LinkedListType > | L1,
|  | LinkedList< LinkedListType > | L2
| ) | `[private]`

template<class LinkedListType>
LinkedList< LinkedListType > BasicDataStructures::LinkedList< LinkedListType >::mergesort | ( | const LinkedList< LinkedListType > & | L | ) | `[private]`

template<class LinkedListType>
LinkedList< LinkedListType > & BasicDataStructures::LinkedList< LinkedListType >::operator++ | ( | int |  | ) |

| Reimplemented from BasicDataStructures::CircularLinkedList< LinkedListType >.

template<class LinkedListType>
LinkedList< LinkedListType > & BasicDataStructures::LinkedList< LinkedListType >::operator++ | ( |  | ) |

| Reimplemented from BasicDataStructures::CircularLinkedList< LinkedListType >.

template<class LinkedListType>
LinkedList< LinkedListType > & BasicDataStructures::LinkedList< LinkedListType >::operator-- | ( | int |  | ) |

| Reimplemented from BasicDataStructures::CircularLinkedList< LinkedListType >.

template<class LinkedListType>
LinkedList< LinkedListType > & BasicDataStructures::LinkedList< LinkedListType >::operator-- | ( |  | ) |

| Reimplemented from BasicDataStructures::CircularLinkedList< LinkedListType >.

template<class LinkedListType>
bool BasicDataStructures::LinkedList< LinkedListType >::operator= | ( | const LinkedList< LinkedListType > & | original_copy | ) |

The documentation for this class was generated from the following file:

- Projects/raknet/include/raknet/LinkedList.h